(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     11057,        371]
NotebookOptionsPosition[     10592,        350]
NotebookOutlinePosition[     10955,        366]
CellTagsIndexPosition[     10912,        363]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"m", "=", "5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"If", "[", 
  RowBox[{
   RowBox[{"EvenQ", "[", "m", "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"m1", "=", 
     RowBox[{
      RowBox[{"-", 
       RowBox[{"(", 
        RowBox[{"m", "-", "2"}], ")"}]}], "/", "2"}]}], ";", 
    RowBox[{"m2", "=", 
     RowBox[{"m", "/", "2"}]}], ";"}], ",", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"m1", "=", 
     RowBox[{
      RowBox[{"-", 
       RowBox[{"(", 
        RowBox[{"m", "-", "1"}], ")"}]}], "/", "2"}]}], ";", 
    RowBox[{"m2", "=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"m", "-", "1"}], ")"}], "/", "2"}]}], ";"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"eq", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      SubscriptBox["ff", "k"], "\[Equal]", 
      RowBox[{
       RowBox[{
        RowBox[{"Derivative", "[", "0", "]"}], "[", "f", "]"}], "+", 
       RowBox[{"Sum", "[", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"k", " ", "h"}], ")"}], "^", "n"}], " ", 
          RowBox[{
           RowBox[{
            RowBox[{"Derivative", "[", "n", "]"}], "[", "f", "]"}], "/", 
           RowBox[{"n", "!"}]}]}], ",", 
         RowBox[{"{", 
          RowBox[{"n", ",", "1", ",", 
           RowBox[{"m", "-", "1"}]}], "}"}]}], "]"}]}]}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", "m1", ",", "m2"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"eq", "//", "TableForm"}]}], "Input"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      RowBox[{
       SubscriptBox["ff", 
        RowBox[{"-", "2"}]], "\[Equal]", 
       RowBox[{"f", "-", 
        RowBox[{"2", " ", "h", " ", 
         SuperscriptBox["f", "\[Prime]",
          MultilineFunction->None]}], "+", 
        RowBox[{"2", " ", 
         SuperscriptBox["h", "2"], " ", 
         SuperscriptBox["f", "\[Prime]\[Prime]",
          MultilineFunction->None]}], "-", 
        RowBox[{
         FractionBox["4", "3"], " ", 
         SuperscriptBox["h", "3"], " ", 
         SuperscriptBox["f", 
          TagBox[
           RowBox[{"(", "3", ")"}],
           Derivative],
          MultilineFunction->None]}], "+", 
        RowBox[{
         FractionBox["2", "3"], " ", 
         SuperscriptBox["h", "4"], " ", 
         SuperscriptBox["f", 
          TagBox[
           RowBox[{"(", "4", ")"}],
           Derivative],
          MultilineFunction->None]}]}]}]},
     {
      RowBox[{
       SubscriptBox["ff", 
        RowBox[{"-", "1"}]], "\[Equal]", 
       RowBox[{"f", "-", 
        RowBox[{"h", " ", 
         SuperscriptBox["f", "\[Prime]",
          MultilineFunction->None]}], "+", 
        FractionBox[
         RowBox[{
          SuperscriptBox["h", "2"], " ", 
          SuperscriptBox["f", "\[Prime]\[Prime]",
           MultilineFunction->None]}], "2"], "-", 
        RowBox[{
         FractionBox["1", "6"], " ", 
         SuperscriptBox["h", "3"], " ", 
         SuperscriptBox["f", 
          TagBox[
           RowBox[{"(", "3", ")"}],
           Derivative],
          MultilineFunction->None]}], "+", 
        RowBox[{
         FractionBox["1", "24"], " ", 
         SuperscriptBox["h", "4"], " ", 
         SuperscriptBox["f", 
          TagBox[
           RowBox[{"(", "4", ")"}],
           Derivative],
          MultilineFunction->None]}]}]}]},
     {
      RowBox[{
       SubscriptBox["ff", "0"], "\[Equal]", "f"}]},
     {
      RowBox[{
       SubscriptBox["ff", "1"], "\[Equal]", 
       RowBox[{"f", "+", 
        RowBox[{"h", " ", 
         SuperscriptBox["f", "\[Prime]",
          MultilineFunction->None]}], "+", 
        FractionBox[
         RowBox[{
          SuperscriptBox["h", "2"], " ", 
          SuperscriptBox["f", "\[Prime]\[Prime]",
           MultilineFunction->None]}], "2"], "+", 
        RowBox[{
         FractionBox["1", "6"], " ", 
         SuperscriptBox["h", "3"], " ", 
         SuperscriptBox["f", 
          TagBox[
           RowBox[{"(", "3", ")"}],
           Derivative],
          MultilineFunction->None]}], "+", 
        RowBox[{
         FractionBox["1", "24"], " ", 
         SuperscriptBox["h", "4"], " ", 
         SuperscriptBox["f", 
          TagBox[
           RowBox[{"(", "4", ")"}],
           Derivative],
          MultilineFunction->None]}]}]}]},
     {
      RowBox[{
       SubscriptBox["ff", "2"], "\[Equal]", 
       RowBox[{"f", "+", 
        RowBox[{"2", " ", "h", " ", 
         SuperscriptBox["f", "\[Prime]",
          MultilineFunction->None]}], "+", 
        RowBox[{"2", " ", 
         SuperscriptBox["h", "2"], " ", 
         SuperscriptBox["f", "\[Prime]\[Prime]",
          MultilineFunction->None]}], "+", 
        RowBox[{
         FractionBox["4", "3"], " ", 
         SuperscriptBox["h", "3"], " ", 
         SuperscriptBox["f", 
          TagBox[
           RowBox[{"(", "3", ")"}],
           Derivative],
          MultilineFunction->None]}], "+", 
        RowBox[{
         FractionBox["2", "3"], " ", 
         SuperscriptBox["h", "4"], " ", 
         SuperscriptBox["f", 
          TagBox[
           RowBox[{"(", "4", ")"}],
           Derivative],
          MultilineFunction->None]}]}]}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.5599999999999999]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}],
   Column],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.47539449303125*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   SubscriptBox["solu", "m"], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"Solve", "[", 
      RowBox[{
       RowBox[{"eq", "/.", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"Derivative", "[", "n", "]"}], "[", "f", "]"}], "\[Rule]", 
           RowBox[{"df", "[", "n", "]"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"n", ",", "0", ",", 
            RowBox[{"m", "-", "1"}]}], "}"}]}], "]"}]}], ",", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"df", "[", "n", "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"n", ",", "0", ",", 
           RowBox[{"m", "-", "1"}]}], "}"}]}], "]"}]}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}], "/.", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"df", "[", "n", "]"}], "\[Rule]", 
       RowBox[{
        RowBox[{"Derivative", "[", "n", "]"}], "[", "f", "]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"n", ",", "0", ",", 
        RowBox[{"m", "-", "1"}]}], "}"}]}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  SubscriptBox["solu", "m"], "//", "TableForm"}]}], "Input"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      RowBox[{
       SuperscriptBox["f", 
        TagBox[
         RowBox[{"(", "4", ")"}],
         Derivative],
        MultilineFunction->None], "\[Rule]", 
       RowBox[{"-", 
        FractionBox[
         RowBox[{
          RowBox[{"-", 
           SubscriptBox["ff", 
            RowBox[{"-", "2"}]]}], "+", 
          RowBox[{"4", " ", 
           SubscriptBox["ff", 
            RowBox[{"-", "1"}]]}], "-", 
          RowBox[{"6", " ", 
           SubscriptBox["ff", "0"]}], "+", 
          RowBox[{"4", " ", 
           SubscriptBox["ff", "1"]}], "-", 
          SubscriptBox["ff", "2"]}], 
         SuperscriptBox["h", "4"]]}]}]},
     {
      RowBox[{
       SuperscriptBox["f", "\[Prime]",
        MultilineFunction->None], "\[Rule]", 
       RowBox[{"-", 
        FractionBox[
         RowBox[{
          RowBox[{"-", 
           SubscriptBox["ff", 
            RowBox[{"-", "2"}]]}], "+", 
          RowBox[{"8", " ", 
           SubscriptBox["ff", 
            RowBox[{"-", "1"}]]}], "-", 
          RowBox[{"8", " ", 
           SubscriptBox["ff", "1"]}], "+", 
          SubscriptBox["ff", "2"]}], 
         RowBox[{"12", " ", "h"}]]}]}]},
     {
      RowBox[{
       SuperscriptBox["f", "\[Prime]\[Prime]",
        MultilineFunction->None], "\[Rule]", 
       RowBox[{"-", 
        FractionBox[
         RowBox[{
          SubscriptBox["ff", 
           RowBox[{"-", "2"}]], "-", 
          RowBox[{"16", " ", 
           SubscriptBox["ff", 
            RowBox[{"-", "1"}]]}], "+", 
          RowBox[{"30", " ", 
           SubscriptBox["ff", "0"]}], "-", 
          RowBox[{"16", " ", 
           SubscriptBox["ff", "1"]}], "+", 
          SubscriptBox["ff", "2"]}], 
         RowBox[{"12", " ", 
          SuperscriptBox["h", "2"]}]]}]}]},
     {
      RowBox[{
       SuperscriptBox["f", 
        TagBox[
         RowBox[{"(", "3", ")"}],
         Derivative],
        MultilineFunction->None], "\[Rule]", 
       RowBox[{"-", 
        FractionBox[
         RowBox[{
          SubscriptBox["ff", 
           RowBox[{"-", "2"}]], "-", 
          RowBox[{"2", " ", 
           SubscriptBox["ff", 
            RowBox[{"-", "1"}]]}], "+", 
          RowBox[{"2", " ", 
           SubscriptBox["ff", "1"]}], "-", 
          SubscriptBox["ff", "2"]}], 
         RowBox[{"2", " ", 
          SuperscriptBox["h", "3"]}]]}]}]},
     {
      RowBox[{"f", "\[Rule]", 
       SubscriptBox["ff", "0"]}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.5599999999999999]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}],
   Column],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.475394539171875*^9}]
}, Open  ]]
},
WindowSize->{848, 646},
WindowMargins->{{5, Automatic}, {Automatic, 1}},
Magnification->1.5,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 1572, 50, 287, "Input"],
Cell[2142, 74, 4205, 132, 211, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6384, 211, 1190, 36, 152, "Input"],
Cell[7577, 249, 2999, 98, 212, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
